Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class InnerClassesAttribute

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.Attribute
org.apache.commons.compress.harmony.unpack200.bytecode.InnerClassesAttribute

public class InnerClassesAttribute extends Attribute
Inner classes class file attribute

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InnerClassesAttribute(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInnerClassesEntry(CPClass innerClass, CPClass outerClass, CPUTF8 innerName, int flags)`
  `boolean`
  `equals(Object obj)`
  `protected int`
  `getLength()`
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  `int`
  `hashCode()`
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries.
  `static void`
  `setAttributeName(CPUTF8 cpUTF8Value)`
  `String`
  `toString()`
  `protected void`
  `writeBody(DataOutputStream dos)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.Attribute

  `doWrite, getAttributeName, getLengthIncludingHeader, hasBCIRenumbering, isSourceFileAttribute`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InnerClassesAttribute

    public InnerClassesAttribute(String name)

- ## Method Details

  - ### setAttributeName

    public static void setAttributeName(CPUTF8 cpUTF8Value)

  - ### addInnerClassesEntry

    public void addInnerClassesEntry(CPClass innerClass, CPClass outerClass, CPUTF8 innerName, int flags)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Attribute`

  - ### getLength

    protected int getLength()
    Specified by:
      `getLength` in class `Attribute`

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Overrides:
      `getNestedClassFileEntries` in class `Attribute`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Attribute`

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Description copied from class: `ClassFileEntry`
    Allows the constant pool entries to resolve their nested entries.
    Overrides:
      `resolve` in class `Attribute`
    Parameters:
      `pool` - TODO

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Specified by:
      `writeBody` in class `Attribute`
    Throws:
      `IOException`